---
title: "Generating an SSH Resident Key"
author: "ArgentumCation"
layout: ../../layouts/Layout.astro
pubDate: "19 Mar, 2023"
slug: "post-1"
---

import { Accordion, AccordionItem } from "accessible-astro-components";

## Here's how to create a resident SSH Key using a security key

```bash
ssh-keygen -t ed25519-sk -Oresident
```

## If that one doesn't work,

```bash
ssh-keygen -t ed25519-sk -Oresident -Oapplication=ssh:key
```
